Bug 118226 - prelink abort()s
Summary: prelink abort()s
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
(Show other bugs)
Version: 1
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Target
TreeView+ depends on / blocked
 
Reported: 2004-03-13 22:53 UTC by Nicholas Miell
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 0.3.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 12:49:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core dump (971.35 KB, application/octet-stream)
2004-03-13 22:54 UTC, Nicholas Miell
no flags Details
debug log (458.00 KB, text/plain)
2004-03-16 00:57 UTC, Nicholas Miell
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:386 normal SHIPPED_LIVE Updated prelink package 2004-09-02 04:00:00 UTC

Description Nicholas Miell 2004-03-13 22:53:22 UTC
Core was generated by `/usr/sbin/prelink -av -mR -q'.
Program terminated with signal 6, Aborted.
#0  0x000000000045aa79 in kill ()
(gdb) bt
#0  0x000000000045aa79 in kill ()
#1  0x0000000000435d2a in abort ()
#2  0x000000000040b18c in layout_libs () at layout.c:618
#3  0x000000000040b848 in main (argc=4, argv=0x7fbffff9e8) at main.c:386
(gdb) frame 2
#2  0x000000000040b18c in layout_libs () at layout.c:618
618                   abort ();
(gdb) list
613               for (j = 1; j < l.binlibs[i]->ndepends; ++j)
614                 if (deps[j]->base
615                     < ((deps[j - 1]->end + max_page_size - 1)
616                        & ~(max_page_size - 1))
617                     && (deps[j]->type == ET_DYN || deps[j -
1]->type == ET_DYN))
618                   abort ();
619             }
620     #endif
621         }
622
(gdb)

Comment 1 Nicholas Miell 2004-03-13 22:54:39 UTC
Created attachment 98518 [details]
core dump

Comment 2 Jakub Jelinek 2004-03-15 13:16:32 UTC
Coredump doesn't help much.  Can you instead try to reproduce it
and if it is reproduceable, run gdb /usr/sbin/prelink
set args -av -mR -q
b layout_libs
run
p prelink_entry_dump (prelink_filename_htab, "/tmp/prelink.debug.log")
and attach here /tmp/prelink.debug.log it creates?
Thanks.

Comment 3 Nicholas Miell 2004-03-16 00:57:12 UTC
Created attachment 98557 [details]
debug log

Comment 4 Jakub Jelinek 2004-03-17 12:49:21 UTC
Should be fixed in prelink-0.3.1-2.

Comment 5 Jay Turner 2004-09-02 05:19:46 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-386.html



Note You need to log in before you can comment on or make changes to this bug.